# Class TableRenderer

java.lang.Object
net.sf.statcvs.renderer.TableRenderer

public class TableRenderer extends Object
Renders a `Table` to HTML

Version:
  $Id: TableRenderer.java,v 1.41 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak invalid input: '<'rcyg@gmx.de>

## Constructor Summary

Constructors
Constructor
Description
`TableRenderer(Table table, MarkupSyntax output)`
Creates a new table renderer for the given table model

## Method Summary

Modifier and Type
Method
Description
`String`
`getRenderedTable()`
Renders the table to HTML

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableRenderer

public TableRenderer(Table table, MarkupSyntax output)
Creates a new table renderer for the given table model

Parameters:
  `table` - the table to render

## Method Details

### getRenderedTable

public String getRenderedTable()
Renders the table to HTML

Returns:
  a String of HTML